
def createServer(server, owner = false) {
	server.jmxport = '2809';
    System.err.println("createServer: " + [server, owner].toString());
    return createResource('servers', server, owner)
}

def deleteServer(id) {
    def rv   = deleteResource('servers', id)
    def refs = getResources('domainsservers', [serverid: id], false)

    refs.each { 
        deleteResource('domainsservers', it.id)
    }
    
    return rv
}

def getServer(id) {
    def rv = getResource('servers', [id: id], ["id", "alias", "name", "listenerport", "jmxport"])
    System.err.println("getServer: " + rv.toString() )
    return rv
}

def getServers(filters, owner = false) {
    def _filters = filters.clone()
    def rv = getResources( 'servers', _filters, false,  ["id", "alias", "name", "listenerport", "jmxport"])
    rv.each { server ->
    	server.overrideListViewLabel = "alias";
    }
    System.err.println("getServers: " + [filters, rv].toString())

    return rv
}

def updateServer(server) {
	server.jmxport = '2809';
    return updateResource('servers', server,  ["id", "alias", "name", "listenerport", "jmxport"])
}
