/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
package groovy.rainmaker.core

def getEventStorage()
{
    if (tmp.events[] == null)
        tmp.events = Collections.synchronizedMap([:]);
    
    return tmp.events[];
}

def getEventChains(filters = [:], userID = null)
{
    def chains = [];
    
    def lockObject = config.lockObject[];

    synchronized(lockObject) {
    	getEventStorage().values().each {
            def chain = [];
            def link = it;
            
            while (link != null)
            {
                chain << [
                    name: link.name, 
                    context: link.context 
                ];
                
                link = link.rainmakerParentEvent;
            }
            
            chains << chain;
        }        	
    }
    return chains;
}
