/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import zero.core.security.token.LocalTokenUtils;

def validateToken(String appHome, String token){
	logger.FINER{ 'entering validateToken token: ' + token  }
    boolean result = false;
    // check if the token exists
    if(token != null){
        File managerPrivateDir = new File (appHome , '/.zero/private/healthcheck');
        if(managerPrivateDir.exists()){
            File securedTokenFile = new File (managerPrivateDir, token);
            // if file with token exists, then this will be true
            result = securedTokenFile.exists();
            logger.FINE{ 'validateToken securedTokenFile: ' + securedTokenFile  + ' exists :' + result }
        }
    }
    logger.FINER{ 'exiting validateToken result: ' + result  }
    return result;
}

def onPreauthenticate(){
	def token = request.headers.in.healthCheckToken[]
	event.isAuthorized = validateToken(config.rainmaker.disk.root[], token );
}