/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package reset;
import com.ibm.websphere.rainmaker.logging.CleanStackTrace;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

def _renderError(status, msg)
{
    request.status = status;
    request.writer[].write("<span>${MessageUtils.isMessage(msg) ? MessageUtils.message(user.lang[], msg, []) : msg}</span>");
}

def onPOST()
{
    try
    {
        def targetUser = getUserByName(request.params.user[]);

        if (!targetUser)
            return _renderError(404, 'RM10219');
        
        def password = generatePassword(8);
        
        changePassword(targetUser.id, password);
        
        request.writer[].write("<span>${MessageUtils.message(user.lang[], 'RM10220', [])}</span>");
    }
    
    catch (Throwable t)
    {
        logger.SEVERE { CleanStackTrace.cleanStackTrace(t) };
        _renderError(500, t.message);
    }    
}
