/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.users;

import com.ibm.websphere.rainmaker.logging.MessageUtils;
import com.ibm.websphere.rainmaker.logging.CleanStackTrace;

def name = event.username[];

//
// we can only create a session post-authentication
//
if (!name || (user.session[]) ){
    return;
}

logger.FINER { "Creating session for user ${name}..." };

try
{
    def session = getUserByName(name);
    session.permissions = getUserRoles(session.id);
    session.settings = getUserSettings(session.id);

    user.session = session;
    
    logger.FINER { "Saved session for user ${name}." };
}

catch (Throwable t)
{
    logger.SEVERE { MessageUtils.message('RM02024', [name, t.message]) };
    logger.SEVERE { CleanStackTrace.cleanStackTrace(t) };
}
